﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Practices.Prism.MefExtensions.Modularity;
using Microsoft.Practices.Prism.Modularity;
using Microsoft.Practices.Prism.Regions;
using System.ComponentModel.Composition;
using Module2.ViewModels;

namespace Module2
{
	[ModuleExport(typeof(Module2))]
	public class Module2 : IModule
	{
		// import IRegionManager singlton from Prism
		[Import]
		public IRegionManager regionManager { private get; set; }

		#region IModule Members

		public void Initialize()
		{
			regionManager.RegisterViewWithRegion("MainRegion", typeof(SimpsonsViewModel));
		}

		#endregion
	}
}
