﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Practices.Prism.Modularity;
using Microsoft.Practices.Prism.MefExtensions.Modularity;
using System.ComponentModel.Composition;
using Microsoft.Practices.Prism.Regions;
using Module1.Views;
using Module1.ViewModels;

namespace Module1
{
    [ModuleExport(typeof(Module1))]
    public class Module1 : IModule
    {
        // import IRegionManager singlton from Prism
        [Import]
        public IRegionManager TheRegionManager { private get; set; }

        #region IModule Members

        public void Initialize()
        {
			TheRegionManager.RegisterViewWithRegion("MainRegion", typeof(FlandersViewModel)); 
        }

        #endregion
    }
}
